<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Counter</title>
    <script src="http://unpkg.com/vue@next"></script>
</head>
<body>
    <div id="app">
        <h1>
            <button @click="dec">
                -
            </button>
            {{ counter }}
            <button @click="inc">
                +
            </button>
        </h1>
    </div>
    <script>
        const App = {
            data() {
                return {
                    counter: 0
                }
            },
            methods: {
                inc() {
                    this.counter++
                },
                dec() {
                    if(this.counter==0) return
                    this.counter--
                }
            },
            mounted() {

            }
        }
        Vue.createApp(App).mount('#app')
    </script>
</body>
</html>